[Bioperl-l] Bioperl tests: Test, Test::Simple, Test::More?

Hilmar Lapp hlapp at gmx.net
Mon Sep 4 23:52:56 EDT 2006


On Sep 3, 2006, at 4:45 AM, Sendu Bala wrote:
>
> I'm certainly with you regarding 5.8. Full disclosure: my
> Bio::PullParserI requires 5.8 for certain things. I was going to add
> some <5.8 detection and work-around code, but it would be much  
> better if
> we could just bump the requirement to 5.8.

You can always require a certain version for a module, so long as the  
module is "optional." (as in "non-core"; the double quotes  
acknowledge that there is no clear definition on what should fall  
into that bin and what shouldn't)

Just make sure your test exists gracefully and the module prints a  
clear message about the cause of death when it dies.

	-hilmar


-- 
===========================================================
: Hilmar Lapp  -:-  Durham, NC  -:-  hlapp at gmx dot net :
===========================================================







More information about the Bioperl-l mailing list